Mandatory upgrading?

Discussion in 'Installation and Configuration' started by bipbip, Nov 23, 2021.

  1. bipbip

    bipbip Bit Poster

    Messages:
    4
    Hello,

    Once I have purchased the full version, do I have to buy the upgrades when I update my operating system?
    I was using version 16.5, I just upgraded Mac OS from Catalina to Monterey and Parallel Desktop does not work anymore.
    Do I have to buy the upgrade to version 17?

    Thank you in advance
     
  2. LeaR

    LeaR Bit Poster

    Messages:
    2
  3. bipbip

    bipbip Bit Poster

    Messages:
    4
    Hi LeaR thanks for your answer.
    Parallels Desktop 16 should work with Monterey (newest Mac OS), but it is not the case, what is certain is that with 16.5 does not work
    Moreover there is an asterix which specifies that there can be issues.

    This is not clear and I don't want to buy the Parallels Desktop latest version (40€) every time I upgrade Mac OS.
     
  4. DebasmitaM@Parallels

    DebasmitaM@Parallels Staff Member

    Messages:
    196
    Hello, Parallels Desktop for Mac 16 is compatible wit Mac OS Monterey. Please provide us more information about the issue you are facing so that we can understand better and help you out. Thanks, Parallels Team.
     
  5. DebasmitaM@Parallels

    DebasmitaM@Parallels Staff Member

    Messages:
    196
  6. bipbip

    bipbip Bit Poster

    Messages:
    4
    Hello,
    i'have changed for v16.1 which is working so I haven't error message anymore.

    The message I get when opening V16.5 was something like:
    Process: prl_client_app
    Path: /Volumes/VOLUME/Parallels Desktop.app/Contents/MacOS/prl_client_app
     
  7. bipbip

    bipbip Bit Poster

    Messages:
    4
    @DebasmitaM@Parallels
    If I buy version 17, would I be constrained to change, to upgrade, at the next update of MacOS 13 or can I keep same version on several macOS generations ?
    Please be clear
     

Share This Page